"use strict";

exports.__esModule = true;
exports.default = void 0;

var _universalEnv = require("universal-env");

var _dom = _interopRequireDefault(require("./dom"));

var _driverMiniapp = _interopRequireDefault(require("driver-miniapp"));

var WeexDriver = _interopRequireWildcard(require("driver-weex"));

var KrakenDriver = _interopRequireWildcard(require("driver-kraken"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var currentDriver;

if (_universalEnv.isWeex) {
  currentDriver = WeexDriver;
} else if (_universalEnv.isWeb) {
  currentDriver = (0, _dom.default)();
} else if (_universalEnv.isKraken) {
  currentDriver = KrakenDriver;
} else if (_universalEnv.isMiniApp || _universalEnv.isWeChatMiniProgram) {
  currentDriver = _driverMiniapp.default;
} else {
  throw new Error('Your environment was not supported by driver-universal.');
}

var _default = currentDriver;
exports.default = _default;